on:
  push:
    paths:
      # only run if the renovate config changed
      - renovate.json
jobs:
  check-renovaterc:
    runs-on: nixos
    steps:
      - uses: 'https://git.salame.cl/actions/checkout@11bd71901bbe5b1630ceea73d27597364c9af683' # v4
      - name: Validate renovaterc.json
        run: |
          nix --version
          nix shell nixpkgs#renovate --command renovate-config-validator
